# CV

> **Bauke's CV template.**

## Setup & Building

This project uses [Typst](https://typst.app) as the main language to render the CV, targeting PDF specifically. For the development environment [Nix flakes](https://nixos.wiki/wiki/Flakes) and [direnv](https://direnv.net/) is used to load in the required packages (see [`shell.nix`](shell.nix) for the list).

To make building easy, [cargo-make](https://sagiegurari.github.io/cargo-make/) is used, the available tasks are all described in the [`Makefile.toml`](Makefile.toml) configuration.

### Data-driven

All the information used in the CV is located in the git-ignored `data/` directory. With the main file being `data/info.toml`. You can find a full example in [DATA.md](./DATA.md).

### Images

Various images are used in the CV that all belong to their respective owners.

- The [email](images/email.svg), [home](images/home.svg), [launch](images/launch.svg) and [phone](images/phone.svg) icons are from the [Carbon Design System](https://carbondesignsystem.com/).
- The [Forgejo logo](images/forgejo.svg) belongs to [Forgejo](https://forgejo.org/).
- The [GitHub logo](images/github.svg) belongs to [GitHub](https://github.com).


## License

Distributed under the [Unlicense](https://spdx.org/licenses/Unlicense.html) license, see [LICENSE](https://git.bauke.xyz/Bauke/cv/src/branch/main/LICENSE) for more information.
